/* 
   drvDXF.c : This file is part of pstoedit 

   Copyright (C) 1993,1994,1995 Wolfgang Glunz, Wolfgang.Glunz@zfe.siemens.de

	DXF Backend Version 0.9 ( LINEs only, no text, no color, no linewidth )
	Carsten Hammer	chammer@post.uni-bielefeld.de
   	CATS Gesellschaft fuer technische DV-Anwendungen mbH
	Carl-Zeiss-Strasse 65
	33334 Guetersloh

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <stdio.h>
#include <string.h>
#include <iostream.h>

#include "drvdxf.h"

drvDXF::drvDXF(ostream & theoutStream /* , float theMagnification */ ):
        drvbase(theoutStream,0,0,0)
/*	,magnification(theMagnification) */
{
outf << "999\nDXF generated by pstoedit\n";
outf << "  0\nSECTION\n  2\nHEADER\n";
outf << "  9\n$ACADVER\n  1\nAC1009\n";
outf << "  0\nENDSEC\n";

outf << "  0\nSECTION\n  2\nENTITIES\n";
}

drvDXF::~drvDXF() 
{
outf << "  0\nENDSEC\n  0\nEOF\n";
}

void drvDXF::print_coords()
{
}

void drvDXF::close_page()
{
/*outf << "#Seite beendet.\n";*/
}

void drvDXF::open_page()
{
/*outf << "#Seite Nr. " << currentPageNumber++ << "\n";*/
}

void drvDXF::show_text(const TextInfo & textinfo)
{
}

void drvDXF::show_path()
{
	for(unsigned int t=1;t<numberOfElementsInPath();t++) {
		const Point & p = pathElement(t-1).getPoint(0);
		const Point & q = pathElement(t).getPoint(0);
		outf << "  0\nLINE\n  8\n0\n";
		outf << " 10\n" << p.x_ << "\n";
		outf << " 20\n" << p.y_ << "\n";
		outf << " 30\n" << 0 << "\n";
		outf << " 11\n" << q.x_ << "\n";
		outf << " 21\n" << q.y_ << "\n";
		outf << " 31\n" << 0.0 << "\n";
	}
}

void drvDXF::show_rectangle(const float llx, const float lly, const float urx, const float ury)
{
// just do show_polyline for a first guess
	 show_path();
}
